# SubCommand
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.annotations

## Annotation Type SubCommand

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface SubCommand

### Required Element Summary

Required Elements
`Message` `description`
`java.lang.String` `name`
`java.lang.String[]` `parameters`

### Optional Element Summary

Optional Elements
`boolean` `async`
`java.lang.String` `permission`

### Element Detail

#### name

    public abstract java.lang.String name

#### description

    public abstract Message description

#### parameters

    public abstract java.lang.String[] parameters

#### permission

    public abstract java.lang.String permission

Default:
  ""

#### async

    public abstract boolean async

Default:
  false